/// <reference types="koa" />
/// <reference types="node" />
import * as Koa from 'koa';
import { IContainer } from '@ts-ioc/core';
import * as http from 'http';
import * as https from 'https';
import { IConfiguration } from '../IConfiguration';
import { ILogger, ILoggerManger } from '@ts-ioc/logs';
/**
 * Application of type mvc.
 *
 * @export
 * @class Application
 * @extends {Koa}
 */
export declare class Application {
    private server;
    private koa;
    private _loggerMgr;
    container: IContainer;
    constructor();
    getKoa(): Koa;
    getConfiguration(): IConfiguration;
    getLoggerManger(): ILoggerManger;
    getLogger(name?: string): ILogger;
    getServer(): http.Server | https.Server;
    use(middleware: Koa.Middleware): void;
    static classAnnations: any;
}
