import { HeadMetadata } from '../metadata/index';
import { IMethodDecorator } from '@ts-ioc/core';
/**
 * Head decorator. define the route method as head.
 *
 * @Head
 *
 * @export
 * @interface IHeadDecorator
 * @template T
 */
export interface IHeadDecorator<T extends HeadMetadata> extends IMethodDecorator<T> {
    /**
     * Head decorator. define the route method as head.
     *
     * @Head
     *
     * @param {string} route route sub path.
     * @param {string} [contentType] set request contentType.
     */
    (route: string, contentType?: string): MethodDecorator;
}
/**
 * Head decorator. define the route method as head.
 *
 * @Head
 */
export declare const Head: IHeadDecorator<HeadMetadata>;
