import { OptionsMetadata } from '../metadata/index';
import { IMethodDecorator } from '@ts-ioc/core';
/**
 * Options decorator. define the route method as an options.
 *
 * @Options
 *
 * @export
 * @interface IOptionsDecorator
 * @template T
 */
export interface IOptionsDecorator<T extends OptionsMetadata> extends IMethodDecorator<T> {
    /**
     * Options decorator. define the route method as an options.
     *
     * @Options
     *
     * @param {string} route route sub path.
     * @param {string} [contentType] set request contentType.
     */
    (route: string, contentType?: string): MethodDecorator;
}
/**
 * Options decorator. define the route method as an options.
 *
 * @Options
 */
export declare const Options: IOptionsDecorator<OptionsMetadata>;
