import { PostMetadata } from '../metadata/index';
import { IMethodDecorator } from '@ts-ioc/core';
/**
 * Post decorator. define the route method as an Post.
 *
 * @Post
 *
 * @export
 * @interface IPostDecorator
 * @template T
 */
export interface IPostDecorator<T extends PostMetadata> extends IMethodDecorator<T> {
    /**
     * Post decorator. define the route method as an Post.
     *
     * @Post
     *
     * @param {string} route route sub path.
     * @param {string} [contentType] set request contentType.
     */
    (route: string, contentType?: string): MethodDecorator;
}
/**
 * Post decorator. define the route method as post.
 *
 * @Post
 */
export declare const Post: IPostDecorator<PostMetadata>;
