import { GComposite, IContainer } from '@ts-ioc/core';
import { IContext } from '../IContext';
import { Next } from '../../util/index';
import { IRoute } from './IRoute';
/**
 * base route.
 *
 * @export
 * @class BaseRoute
 * @extends {Composite}
 * @implements {IRoute}
 */
export declare abstract class BaseRoute extends GComposite<IRoute> implements IRoute {
    url: string;
    constructor(route: string);
    add(node: IRoute): this;
    cutEmptyPath(routPath: string, foreNull?: boolean): string;
    match(ctx: IContext | string): IRoute;
    abstract options(container: IContainer, ctx: IContext, next: Next): Promise<any>;
    abstract navigating(container: IContainer, ctx: IContext, next: Next): Promise<any>;
    empty(): IRoute;
    static classAnnations: any;
}
