import { IConfiguration } from '../../IConfiguration';
import { IMiddleware } from '../middlewares/index';
import { Token } from '@ts-ioc/core';
import { IRoute } from './IRoute';
import { RouteBuilder } from './RouteBuilder';
/**
 * router
 *
 * @export
 * @interface IRouter
 * @extends {IMiddleware}
 */
export interface IRouter extends IMiddleware {
    routes(map: IRoute): any;
    register(...controllers: Token<any>[]): any;
    getRoot(): IRoute;
}
export declare class Router implements IRouter, IMiddleware {
    private builder;
    private config;
    private root;
    private app;
    constructor(builder: RouteBuilder, config: IConfiguration);
    routes(map: IRoute): void;
    register(...controllers: Token<any>[]): void;
    setup(): void;
    getRoot(): IRoute;
    static classAnnations: any;
}
