/**
 * defer
 *
 * @export
 * @class Defer
 * @template T
 */
export declare class Defer<T> {
    static create<T>(then?: (val: T) => T | PromiseLike<T>): Defer<T>;
    /**
     * promise.
     *
     * @type {Promise<T>}
     * @memberof Defer
     */
    promise: Promise<T>;
    /**
     * resolve.
     *
     * @memberof Defer
     */
    resolve: (value?: T | PromiseLike<T>) => void;
    /**
     * reject.
     *
     * @memberof Defer
     */
    reject: (reason?: any) => void;
    constructor();
    static classAnnations: any;
}
